//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.hdkj.lt.core.sys.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("组织机构详情")
public class OrganizationBo {
    @ApiModelProperty("主键")
    private Long id;
    @ApiModelProperty("组织机构编码")
    private String organCode;
    @ApiModelProperty("组织机构名称")
    private String organName;
    @ApiModelProperty("组织机构类型")
    private String organType;
    @ApiModelProperty("组织机构类型名称")
    private String organTypeName;
    @ApiModelProperty("上级组织机构主键")
    private Long parentId;
    @ApiModelProperty("上级组织机构编码")
    private String parentOrganCode;
    @ApiModelProperty("上级组织机构名称")
    private String parentOrganName;
    @ApiModelProperty("上级组织机构类型")
    private String parentOrganType;
    @ApiModelProperty("上级组织机构类型名称")
    private String parentOrganTypeName;

    public OrganizationBo() {
    }

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrganName() {
        return this.organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getOrganType() {
        return this.organType;
    }

    public void setOrganType(String organType) {
        this.organType = organType;
    }

    public String getOrganTypeName() {
        return this.organTypeName;
    }

    public void setOrganTypeName(String organTypeName) {
        this.organTypeName = organTypeName;
    }

    public Long getParentId() {
        return this.parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getParentOrganName() {
        return this.parentOrganName;
    }

    public void setParentOrganName(String parentOrganName) {
        this.parentOrganName = parentOrganName;
    }

    public String getParentOrganType() {
        return this.parentOrganType;
    }

    public void setParentOrganType(String parentOrganType) {
        this.parentOrganType = parentOrganType;
    }

    public String getParentOrganTypeName() {
        return this.parentOrganTypeName;
    }

    public void setParentOrganTypeName(String parentOrganTypeName) {
        this.parentOrganTypeName = parentOrganTypeName;
    }

    public String getOrganCode() {
        return this.organCode;
    }

    public void setOrganCode(String organCode) {
        this.organCode = organCode;
    }

    public String getParentOrganCode() {
        return this.parentOrganCode;
    }

    public void setParentOrganCode(String parentOrganCode) {
        this.parentOrganCode = parentOrganCode;
    }
}
